## ros-one-audio-to-spectrogram 1.2.19-6noble.20251025.2102

=== debian/changelog ===
ros-one-audio-to-spectrogram (1.2.19-6noble.20251025.2102) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Naoya Yamaguchi <yamaguchi@jsk.imi.i.u-tokyo.ac.jp>  Sat, 25 Oct 2025 21:02:55 +0000

ros-one-audio-to-spectrogram (1.2.19-0noble) noble; urgency=high

  * Merge pull request #2879 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2879> from jsk-ros-pkg/add_license
    add LICENSE
  * add LICENSE
  * ad LICENSE
  * Contributors: Kei Okada

 -- Naoya Yamaguchi <yamaguchi@jsk.imi.i.u-tokyo.ac.jp>  Wed, 14 May 2025 00:00:00 -0000

ros-one-audio-to-spectrogram (1.2.18-0noble) noble; urgency=high

  * [audio_to_spectrogram] Fix when to use catkin_install_python (#2859 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2859>)
    Conditional branch introduced by https://github.com/jsk-ros-pkg/jsk_recognition/pull/2743 is wrong
  * Add missing ros_environment dependency to package.xml (#2837)
    
    Any package that evaluates ROS_VERSION, ROS_DISTRO or ROS_PYTHON_VERSION
    at build time should add ros_environment as a dependency.
  * Contributors: Jeremy Kolb, Shingo Kitagawa, Shun Hasegawa, Yoshiki Obinata, Yuki Furuta

 -- Naoya Yamaguchi <yamaguchi@jsk.imi.i.u-tokyo.ac.jp>  Sat, 10 May 2025 00:00:00 -0000

ros-one-audio-to-spectrogram (1.2.17-0noble) noble; urgency=high



 -- Naoya Yamaguchi <yamaguchi@jsk.imi.i.u-tokyo.ac.jp>  Tue, 14 Nov 2023 00:00:00 -0000

ros-one-audio-to-spectrogram (1.2.16-0noble) noble; urgency=high

  * [audio_to_spectrogram, sound_classification] Add data_to_spectrogram (#2767 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2767>)
  * [audio_to_spectrogram] Enable to change spectrum plot from rosparam (#2760 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2760>)
  * Fix audio to spectrogram plot and add test (#2764 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2764>)
  * [audio_to_spectrogram] Add AudioAmplitudePlot node to visualize audio amplitude #2657 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2657> (#2755 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2755>)
  * [audio_to_spectrogram] Enable publishing frequency vs amplitude plot (#2654 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2654>)
  * use catkin_install_python to install python scripts under node_scripts/ scripts/ (#2743 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2743>)
  * Contributors: Kei Okada, Naoto Tsukamoto, Shingo Kitagawa, Shun Hasegawa, Yoshiki Obinata, Iory Yanokura

 -- Naoya Yamaguchi <yamaguchi@jsk.imi.i.u-tokyo.ac.jp>  Fri, 10 Nov 2023 00:00:00 -0000

ros-one-audio-to-spectrogram (1.2.15-0noble) noble; urgency=high



 -- Naoya Yamaguchi <yamaguchi@jsk.imi.i.u-tokyo.ac.jp>  Sat, 10 Oct 2020 00:00:00 -0000

ros-one-audio-to-spectrogram (1.2.14-0noble) noble; urgency=high



 -- Naoya Yamaguchi <yamaguchi@jsk.imi.i.u-tokyo.ac.jp>  Fri, 09 Oct 2020 00:00:00 -0000

ros-one-audio-to-spectrogram (1.2.13-0noble) noble; urgency=high



 -- Naoya Yamaguchi <yamaguchi@jsk.imi.i.u-tokyo.ac.jp>  Thu, 08 Oct 2020 00:00:00 -0000

ros-one-audio-to-spectrogram (1.2.12-0noble) noble; urgency=high



 -- Naoya Yamaguchi <yamaguchi@jsk.imi.i.u-tokyo.ac.jp>  Sat, 03 Oct 2020 00:00:00 -0000

ros-one-audio-to-spectrogram (1.2.11-0noble) noble; urgency=high

  * Fix for  noetic / 20.04 (#2507 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2507>)
    
      * upgrade package.xml to format=3, migrate to noetic with ROS_PYTHON_VERSION=2/3, use multiple ROS distro strategy http://wiki.ros.org/noetic/Migration
    
  * [audio_to_spectrogram] Enable multi channel input by retrieving single channel data (#2514 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2514>)
  * [audio_to_spectrogram] Add README for usage and scripts interface (#2498 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2498>)
    
      * [audio_to_spectrogram] Add README for usage and scripts interface
      * [audio_to_spectrogram] add args to audio_to_spectrogram.launch
      * [audio_to_spectrogram] Add arg to run audio_capture
    
  * Convert audio data to spectrogram (#2478 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2478>)
    
      * Make audio_to_spectrogram as ROS package
    
  * Contributors: Kei Okada, Naoya Yamaguchi, Shingo Kitagawa

 -- Naoya Yamaguchi <yamaguchi@jsk.imi.i.u-tokyo.ac.jp>  Thu, 01 Oct 2020 00:00:00 -0000

ros-one-audio-to-spectrogram (1.2.10-0noble) noble; urgency=high



 -- Naoya Yamaguchi <yamaguchi@jsk.imi.i.u-tokyo.ac.jp>  Wed, 27 Mar 2019 00:00:00 -0000

ros-one-audio-to-spectrogram (1.2.9-0noble) noble; urgency=high



 -- Naoya Yamaguchi <yamaguchi@jsk.imi.i.u-tokyo.ac.jp>  Sat, 23 Feb 2019 00:00:00 -0000

ros-one-audio-to-spectrogram (1.2.8-0noble) noble; urgency=high



 -- Naoya Yamaguchi <yamaguchi@jsk.imi.i.u-tokyo.ac.jp>  Fri, 22 Feb 2019 00:00:00 -0000

ros-one-audio-to-spectrogram (1.2.7-0noble) noble; urgency=high



 -- Naoya Yamaguchi <yamaguchi@jsk.imi.i.u-tokyo.ac.jp>  Thu, 14 Feb 2019 00:00:00 -0000

ros-one-audio-to-spectrogram (1.2.6-0noble) noble; urgency=high



 -- Naoya Yamaguchi <yamaguchi@jsk.imi.i.u-tokyo.ac.jp>  Fri, 02 Nov 2018 00:00:00 -0000

ros-one-audio-to-spectrogram (1.2.5-0noble) noble; urgency=high



 -- Naoya Yamaguchi <yamaguchi@jsk.imi.i.u-tokyo.ac.jp>  Mon, 09 Apr 2018 00:00:00 -0000

ros-one-audio-to-spectrogram (1.2.4-0noble) noble; urgency=high



 -- Naoya Yamaguchi <yamaguchi@jsk.imi.i.u-tokyo.ac.jp>  Fri, 12 Jan 2018 00:00:00 -0000

ros-one-audio-to-spectrogram (1.2.3-0noble) noble; urgency=high



 -- Naoya Yamaguchi <yamaguchi@jsk.imi.i.u-tokyo.ac.jp>  Thu, 23 Nov 2017 00:00:00 -0000

ros-one-audio-to-spectrogram (1.2.2-0noble) noble; urgency=high



 -- Naoya Yamaguchi <yamaguchi@jsk.imi.i.u-tokyo.ac.jp>  Sun, 23 Jul 2017 00:00:00 -0000

ros-one-audio-to-spectrogram (1.2.1-0noble) noble; urgency=high



 -- Naoya Yamaguchi <yamaguchi@jsk.imi.i.u-tokyo.ac.jp>  Sat, 15 Jul 2017 20:44:00 -0000



## ros-one-audio-to-spectrogram 1.2.19-12jammy.20251215.2149

=== debian/changelog ===
ros-one-audio-to-spectrogram (1.2.19-12jammy.20251215.2149) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Naoya Yamaguchi <yamaguchi@jsk.imi.i.u-tokyo.ac.jp>  Mon, 15 Dec 2025 21:49:58 +0000

ros-one-audio-to-spectrogram (1.2.19-0jammy) jammy; urgency=high

  * Merge pull request #2879 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2879> from jsk-ros-pkg/add_license
    add LICENSE
  * add LICENSE
  * ad LICENSE
  * Contributors: Kei Okada

 -- Naoya Yamaguchi <yamaguchi@jsk.imi.i.u-tokyo.ac.jp>  Wed, 14 May 2025 00:00:00 -0000

ros-one-audio-to-spectrogram (1.2.18-0jammy) jammy; urgency=high

  * [audio_to_spectrogram] Fix when to use catkin_install_python (#2859 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2859>)
    Conditional branch introduced by https://github.com/jsk-ros-pkg/jsk_recognition/pull/2743 is wrong
  * Add missing ros_environment dependency to package.xml (#2837)
    
    Any package that evaluates ROS_VERSION, ROS_DISTRO or ROS_PYTHON_VERSION
    at build time should add ros_environment as a dependency.
  * Contributors: Jeremy Kolb, Shingo Kitagawa, Shun Hasegawa, Yoshiki Obinata, Yuki Furuta

 -- Naoya Yamaguchi <yamaguchi@jsk.imi.i.u-tokyo.ac.jp>  Sat, 10 May 2025 00:00:00 -0000

ros-one-audio-to-spectrogram (1.2.17-0jammy) jammy; urgency=high



 -- Naoya Yamaguchi <yamaguchi@jsk.imi.i.u-tokyo.ac.jp>  Tue, 14 Nov 2023 00:00:00 -0000

ros-one-audio-to-spectrogram (1.2.16-0jammy) jammy; urgency=high

  * [audio_to_spectrogram, sound_classification] Add data_to_spectrogram (#2767 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2767>)
  * [audio_to_spectrogram] Enable to change spectrum plot from rosparam (#2760 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2760>)
  * Fix audio to spectrogram plot and add test (#2764 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2764>)
  * [audio_to_spectrogram] Add AudioAmplitudePlot node to visualize audio amplitude #2657 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2657> (#2755 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2755>)
  * [audio_to_spectrogram] Enable publishing frequency vs amplitude plot (#2654 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2654>)
  * use catkin_install_python to install python scripts under node_scripts/ scripts/ (#2743 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2743>)
  * Contributors: Kei Okada, Naoto Tsukamoto, Shingo Kitagawa, Shun Hasegawa, Yoshiki Obinata, Iory Yanokura

 -- Naoya Yamaguchi <yamaguchi@jsk.imi.i.u-tokyo.ac.jp>  Fri, 10 Nov 2023 00:00:00 -0000

ros-one-audio-to-spectrogram (1.2.15-0jammy) jammy; urgency=high



 -- Naoya Yamaguchi <yamaguchi@jsk.imi.i.u-tokyo.ac.jp>  Sat, 10 Oct 2020 00:00:00 -0000

ros-one-audio-to-spectrogram (1.2.14-0jammy) jammy; urgency=high



 -- Naoya Yamaguchi <yamaguchi@jsk.imi.i.u-tokyo.ac.jp>  Fri, 09 Oct 2020 00:00:00 -0000

ros-one-audio-to-spectrogram (1.2.13-0jammy) jammy; urgency=high



 -- Naoya Yamaguchi <yamaguchi@jsk.imi.i.u-tokyo.ac.jp>  Thu, 08 Oct 2020 00:00:00 -0000

ros-one-audio-to-spectrogram (1.2.12-0jammy) jammy; urgency=high



 -- Naoya Yamaguchi <yamaguchi@jsk.imi.i.u-tokyo.ac.jp>  Sat, 03 Oct 2020 00:00:00 -0000

ros-one-audio-to-spectrogram (1.2.11-0jammy) jammy; urgency=high

  * Fix for  noetic / 20.04 (#2507 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2507>)
    
      * upgrade package.xml to format=3, migrate to noetic with ROS_PYTHON_VERSION=2/3, use multiple ROS distro strategy http://wiki.ros.org/noetic/Migration
    
  * [audio_to_spectrogram] Enable multi channel input by retrieving single channel data (#2514 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2514>)
  * [audio_to_spectrogram] Add README for usage and scripts interface (#2498 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2498>)
    
      * [audio_to_spectrogram] Add README for usage and scripts interface
      * [audio_to_spectrogram] add args to audio_to_spectrogram.launch
      * [audio_to_spectrogram] Add arg to run audio_capture
    
  * Convert audio data to spectrogram (#2478 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2478>)
    
      * Make audio_to_spectrogram as ROS package
    
  * Contributors: Kei Okada, Naoya Yamaguchi, Shingo Kitagawa

 -- Naoya Yamaguchi <yamaguchi@jsk.imi.i.u-tokyo.ac.jp>  Thu, 01 Oct 2020 00:00:00 -0000

ros-one-audio-to-spectrogram (1.2.10-0jammy) jammy; urgency=high



 -- Naoya Yamaguchi <yamaguchi@jsk.imi.i.u-tokyo.ac.jp>  Wed, 27 Mar 2019 00:00:00 -0000

ros-one-audio-to-spectrogram (1.2.9-0jammy) jammy; urgency=high



 -- Naoya Yamaguchi <yamaguchi@jsk.imi.i.u-tokyo.ac.jp>  Sat, 23 Feb 2019 00:00:00 -0000

ros-one-audio-to-spectrogram (1.2.8-0jammy) jammy; urgency=high



 -- Naoya Yamaguchi <yamaguchi@jsk.imi.i.u-tokyo.ac.jp>  Fri, 22 Feb 2019 00:00:00 -0000

ros-one-audio-to-spectrogram (1.2.7-0jammy) jammy; urgency=high



 -- Naoya Yamaguchi <yamaguchi@jsk.imi.i.u-tokyo.ac.jp>  Thu, 14 Feb 2019 00:00:00 -0000

ros-one-audio-to-spectrogram (1.2.6-0jammy) jammy; urgency=high



 -- Naoya Yamaguchi <yamaguchi@jsk.imi.i.u-tokyo.ac.jp>  Fri, 02 Nov 2018 00:00:00 -0000

ros-one-audio-to-spectrogram (1.2.5-0jammy) jammy; urgency=high



 -- Naoya Yamaguchi <yamaguchi@jsk.imi.i.u-tokyo.ac.jp>  Mon, 09 Apr 2018 00:00:00 -0000

ros-one-audio-to-spectrogram (1.2.4-0jammy) jammy; urgency=high



 -- Naoya Yamaguchi <yamaguchi@jsk.imi.i.u-tokyo.ac.jp>  Fri, 12 Jan 2018 00:00:00 -0000

ros-one-audio-to-spectrogram (1.2.3-0jammy) jammy; urgency=high



 -- Naoya Yamaguchi <yamaguchi@jsk.imi.i.u-tokyo.ac.jp>  Thu, 23 Nov 2017 00:00:00 -0000

ros-one-audio-to-spectrogram (1.2.2-0jammy) jammy; urgency=high



 -- Naoya Yamaguchi <yamaguchi@jsk.imi.i.u-tokyo.ac.jp>  Sun, 23 Jul 2017 00:00:00 -0000

ros-one-audio-to-spectrogram (1.2.1-0jammy) jammy; urgency=high



 -- Naoya Yamaguchi <yamaguchi@jsk.imi.i.u-tokyo.ac.jp>  Sat, 15 Jul 2017 20:44:00 -0000



## ros-one-audio-to-spectrogram 1.2.19-12jammy.20260221.2326

=== debian/changelog ===
ros-one-audio-to-spectrogram (1.2.19-12jammy.20260221.2326) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Naoya Yamaguchi <yamaguchi@jsk.imi.i.u-tokyo.ac.jp>  Sat, 21 Feb 2026 23:26:11 +0000

## ros-one-audio-to-spectrogram 1.2.19-12noble.20251215.2148

=== debian/changelog ===
ros-one-audio-to-spectrogram (1.2.19-12noble.20251215.2148) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Naoya Yamaguchi <yamaguchi@jsk.imi.i.u-tokyo.ac.jp>  Mon, 15 Dec 2025 21:48:21 +0000

## ros-one-audio-to-spectrogram 1.2.19-12noble.20260222.0032

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(audio_to_spectrogram)

find_package(catkin REQUIRED COMPONENTS
  dynamic_reconfigure
)

catkin_python_setup()

generate_dynamic_reconfigure_options(
  cfg/DataAmplitudePlot.cfg
)

catkin_package()

install(DIRECTORY launch sample test
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
  USE_SOURCE_PERMISSIONS
)
if($ENV{ROS_DISTRO} STREQUAL "indigo") # on noetic it needs catkin_install_python to support Python3 and it does not work on indigo for some reason...
  install(DIRECTORY scripts
    DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
    USE_SOURCE_PERMISSIONS
    )
else()
  install(DIRECTORY scripts
    DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
    USE_SOURCE_PERMISSIONS
    PATTERN "*"
    PATTERN "*/*.py" EXCLUDE
    )

  file(GLOB SCRIPT_PROGRAMS scripts/*.py)
  catkin_install_python(
    PROGRAMS ${SCRIPT_PROGRAMS}
    DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/scripts
    )
endif()

if(CATKIN_ENABLE_TESTING)
  find_package(catkin REQUIRED COMPONENTS rostest roslaunch)
  add_rostest(test/audio_to_spectrogram.test)
  roslaunch_add_file_check(launch/audio_to_spectrogram.launch)
  if(NOT $ENV{ROS_DISTRO} STRLESS "kinetic")
    # Under kinetic, eval cannot be used in launch files
    # http://wiki.ros.org/roslaunch/XML#substitution_args
    add_rostest(test/wrench_to_spectrogram.test)
    roslaunch_add_file_check(launch/wrench_to_spectrogram.launch)
  endif()
endif()

=== debian/changelog ===
ros-one-audio-to-spectrogram (1.2.19-12noble.20260222.0032) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Naoya Yamaguchi <yamaguchi@jsk.imi.i.u-tokyo.ac.jp>  Sun, 22 Feb 2026 00:32:12 +0000

=== debian/control ===
Source: ros-one-audio-to-spectrogram
Section: misc
Priority: optional
Maintainer: Naoya Yamaguchi <yamaguchi@jsk.imi.i.u-tokyo.ac.jp>
Build-Depends: debhelper (>= 9.0.0), ros-one-catkin, ros-one-dynamic-reconfigure, ros-one-ros-environment
Homepage: 
Standards-Version: 3.9.2

Package: ros-one-audio-to-spectrogram
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python3-matplotlib, ros-one-audio-capture, ros-one-audio-common-msgs, ros-one-cv-bridge, ros-one-dynamic-reconfigure, ros-one-geometry-msgs, ros-one-image-view, ros-one-jsk-recognition-msgs, ros-one-jsk-topic-tools, ros-one-rostopic, ros-one-sensor-msgs, ros-one-std-msgs, ros-one-topic-tools
Description: Convert audio (audio_common_msgs/AudioData) to spectrogram (sensor_msgs/Image)

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/one/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_configure -- \
		-DFETCHCONTENT_FULLY_DISCONNECTED=OFF \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/one" \
		-DCMAKE_PREFIX_PATH="/opt/ros/one" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-one-audio-to-spectrogram//opt/ros/one/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_install
